/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "entity.h"
#include "assert/assert.h"
#include "input.h"

void playerInit(entity_t *ent) {
  assertNotNull(ent, "Entity cannot be NULL");

  printf("Initializing player entity\n");
}

void playerUpdate(entity_t *ent) {
  assertNotNull(ent, "Entity cannot be NULL");

  if(inputWasPressed(INPUT_RIGHT)) {
    ent->x++;
  } else if(inputWasPressed(INPUT_LEFT)) {
    ent->x--;
  } else if(inputWasPressed(INPUT_UP)) {
    ent->y--;
  } else if(inputWasPressed(INPUT_DOWN)) {
    ent->y++;
  }
}